Package org.kapott.hbci.sepa.jaxb.pain_008_001_10

## Class RegulatoryReporting3

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_10.RegulatoryReporting3

    public class RegulatoryReporting3
    extends java.lang.Object

Java class for RegulatoryReporting3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RegulatoryReporting3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="DbtCdtRptgInd" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}RegulatoryReportingType1Code" minOccurs="0"/>
             <element name="Authrty" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}RegulatoryAuthority2" minOccurs="0"/>
             <element name="Dtls" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}StructuredRegulatoryReporting3" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected RegulatoryAuthority2` `authrty`
`protected RegulatoryReportingType1Code` `dbtCdtRptgInd`
`protected java.util.List<StructuredRegulatoryReporting3>` `dtls`

### Constructor Summary

Constructors
`RegulatoryReporting3()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RegulatoryAuthority2` `getAuthrty()` Gets the value of the authrty property.
`RegulatoryReportingType1Code` `getDbtCdtRptgInd()` Gets the value of the dbtCdtRptgInd property.
`java.util.List<StructuredRegulatoryReporting3>` `getDtls()` Gets the value of the dtls property.
`void` `setAuthrty​(RegulatoryAuthority2 value)` Sets the value of the authrty property.
`void` `setDbtCdtRptgInd​(RegulatoryReportingType1Code value)` Sets the value of the dbtCdtRptgInd property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dbtCdtRptgInd

    protected RegulatoryReportingType1Code dbtCdtRptgInd

#### authrty

    protected RegulatoryAuthority2 authrty

#### dtls

    protected java.util.List<StructuredRegulatoryReporting3> dtls

### Constructor Detail

#### RegulatoryReporting3

    public RegulatoryReporting3()

### Method Detail

#### getDbtCdtRptgInd

    public RegulatoryReportingType1Code getDbtCdtRptgInd()

Gets the value of the dbtCdtRptgInd property.

Returns:
  possible object is `RegulatoryReportingType1Code`

#### setDbtCdtRptgInd

    public void setDbtCdtRptgInd​(RegulatoryReportingType1Code value)

Sets the value of the dbtCdtRptgInd property.

Parameters:
  `value` - allowed object is `RegulatoryReportingType1Code`

#### getAuthrty

    public RegulatoryAuthority2 getAuthrty()

Gets the value of the authrty property.

Returns:
  possible object is `RegulatoryAuthority2`

#### setAuthrty

    public void setAuthrty​(RegulatoryAuthority2 value)

Sets the value of the authrty property.

Parameters:
  `value` - allowed object is `RegulatoryAuthority2`

#### getDtls

    public java.util.List<StructuredRegulatoryReporting3> getDtls()

Gets the value of the dtls property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the dtls property.

For example, to add a new item, do as follows:

        getDtls().add(newItem);

Objects of the following type(s) are allowed in the list `StructuredRegulatoryReporting3`